SDL-mixer-0.6.1: Binding to libSDL_mixer

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Mixer.General

Description

# Documentation

data AudioFormat :: *

Constructors

AudioU8 |
AudioS8 |
AudioU16LSB |
AudioS16LSB |
AudioU16MSB |
AudioS16MSB |
AudioU16Sys |
AudioS16Sys |

Instances

Enum AudioFormat |
Eq AudioFormat |
Ord AudioFormat |
Show AudioFormat |

tryOpenAudio :: Int -> AudioFormat -> Int -> Int -> IO Bool Source

openAudio :: Int -> AudioFormat -> Int -> Int -> IO () Source

closeAudio :: IO () Source

tryQuerySpec :: IO (Maybe (Int, AudioFormat, Int)) Source

querySpec :: IO (Int, AudioFormat, Int) Source

defaultFrequency :: Int Source